MilterWriter
3
milter managerライブラリ

# MilterWriter

## Functions

GQuark | milter_writer_error_quark ()
MilterWriter * | milter_writer_io_channel_new ()
gboolean | milter_writer_write ()
gboolean | milter_writer_flush ()
void | milter_writer_start ()
gboolean | milter_writer_is_watching ()
void | milter_writer_shutdown ()
guint | milter_writer_get_tag ()
void | milter_writer_set_tag ()

## プロパティ

gpointer | io-channel | Read / Write / Construct Only
guint | tag | Read

## シグナル

void | flushed | Run Last

## Types and Values

#define | MILTER_WRITER_ERROR
enum | MilterWriterError

## オブジェクト階層

        GEnum
        ╰── MilterWriterError
        GObject
        ╰── MilterWriter

## 説明

## Functions

### milter_writer_error_quark ()

    GQuark
    milter_writer_error_quark (void);

### milter_writer_io_channel_new ()

    MilterWriter *
    milter_writer_io_channel_new (GIOChannel *channel);

### milter_writer_write ()

    gboolean
    milter_writer_write (MilterWriter *writer,
                         const gchar *chunk,
                         gsize chunk_size,
                         GError **error);

### milter_writer_flush ()

    gboolean
    milter_writer_flush (MilterWriter *writer,
                         GError **error);

### milter_writer_start ()

    void
    milter_writer_start (MilterWriter *writer,
                         MilterEventLoop *loop);

### milter_writer_is_watching ()

    gboolean
    milter_writer_is_watching (MilterWriter *writer);

### milter_writer_shutdown ()

    void
    milter_writer_shutdown (MilterWriter *writer);

### milter_writer_get_tag ()

    guint
    milter_writer_get_tag (MilterWriter *writer);

### milter_writer_set_tag ()

    void
    milter_writer_set_tag (MilterWriter *writer,
                           guint tag);

## Types and Values

### MILTER_WRITER_ERROR

    #define MILTER_WRITER_ERROR           (milter_writer_error_quark())

### enum MilterWriterError

#### Members

MILTER_WRITER_ERROR_NO_CHANNEL |  |
MILTER_WRITER_ERROR_IO_ERROR |  |
MILTER_WRITER_ERROR_NOT_READY |  |

## プロパティ詳細

### The `“io-channel”` property

      “io-channel”               gpointer

The GIOChannel object.

Flags: Read / Write / Construct Only

### The `“tag”` property

      “tag”                      guint

The tag of the reader.

Flags: Read

デフォルト値: 0

## シグナル詳細

### The `“flushed”` signal

    void
    user_function (MilterWriter *writer,
                   gpointer      user_data)

This signal is emitted on flush.

#### Parameters

writer | the writer that received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last